array<Meta::PluginSetting@> GetVisibleSettings(Meta::Plugin@ plugin) {
    array<Meta::PluginSetting@> visibleSettings;
    if (plugin is null) return visibleSettings;
    
    auto settings = plugin.GetSettings();
    for (uint i = 0; i < settings.Length; i++) {
        if (settings[i].Visible) {
            visibleSettings.InsertLast(settings[i]);
        }
    }
    return visibleSettings;
}
